Package com.independentsoft.graph.users

# Enum Class LegalAgeGroupClassification

java.lang.Object
java.lang.Enum<LegalAgeGroupClassification>
com.independentsoft.graph.users.LegalAgeGroupClassification

All Implemented Interfaces:
  `Serializable`, `Comparable<LegalAgeGroupClassification>`, `Constable`

public enum LegalAgeGroupClassification extends Enum<LegalAgeGroupClassification>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ADULT`
  `MINOR_NO_PARENTAL_CONSENT_REQUIRED`
  `MINOR_WITH_PARENTAL_CONSENT`
  `MINOR_WITHOUT_PARENTAL_CONSENT`
  `NONE`
  `NOT_ADULT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static LegalAgeGroupClassification`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static LegalAgeGroupClassification[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MINOR_WITHOUT_PARENTAL_CONSENT

    public static final LegalAgeGroupClassification MINOR_WITHOUT_PARENTAL_CONSENT

  - ### MINOR_WITH_PARENTAL_CONSENT

    public static final LegalAgeGroupClassification MINOR_WITH_PARENTAL_CONSENT

  - ### MINOR_NO_PARENTAL_CONSENT_REQUIRED

    public static final LegalAgeGroupClassification MINOR_NO_PARENTAL_CONSENT_REQUIRED

  - ### NOT_ADULT

    public static final LegalAgeGroupClassification NOT_ADULT

  - ### ADULT

    public static final LegalAgeGroupClassification ADULT

  - ### NONE

    public static final LegalAgeGroupClassification NONE

- ## Method Details

  - ### values

    public static LegalAgeGroupClassification[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LegalAgeGroupClassification valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null